package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpSupplierScoreRuleListVO {
   @ApiModelProperty("评分规则id")
   private Long ruleId;
   @ApiModelProperty("评分规则名称")
   private String ruleName;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("设定分数")
   private BigDecimal setScore;
   @ApiModelProperty("规则类型(1交货及时率，2产品合格率，3公司资质认证，4注册资金，5上一年度营业额，6员工数，7订单数量，8订单金额)")
   private Integer ruleType;
   @ApiModelProperty("区间分数设定")
   private List<DrpSupplierScoreRuleSectionVO> sectionVOList;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getRuleId() {
      return this.ruleId;
   }

   public String getRuleName() {
      return this.ruleName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public BigDecimal getSetScore() {
      return this.setScore;
   }

   public Integer getRuleType() {
      return this.ruleType;
   }

   public List<DrpSupplierScoreRuleSectionVO> getSectionVOList() {
      return this.sectionVOList;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpSupplierScoreRuleListVO setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public DrpSupplierScoreRuleListVO setRuleName(final String ruleName) {
      this.ruleName = ruleName;
      return this;
   }

   public DrpSupplierScoreRuleListVO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpSupplierScoreRuleListVO setSetScore(final BigDecimal setScore) {
      this.setScore = setScore;
      return this;
   }

   public DrpSupplierScoreRuleListVO setRuleType(final Integer ruleType) {
      this.ruleType = ruleType;
      return this;
   }

   public DrpSupplierScoreRuleListVO setSectionVOList(final List<DrpSupplierScoreRuleSectionVO> sectionVOList) {
      this.sectionVOList = sectionVOList;
      return this;
   }

   public DrpSupplierScoreRuleListVO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpSupplierScoreRuleListVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpSupplierScoreRuleListVO setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpSupplierScoreRuleListVO setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }


   public String toString() {
      Long var10000 = this.getRuleId();
      return "DrpSupplierScoreRuleListVO(ruleId=" + var10000 + ", ruleName=" + this.getRuleName() + ", areaId=" + this.getAreaId() + ", setScore=" + String.valueOf(this.getSetScore()) + ", ruleType=" + this.getRuleType() + ", sectionVOList=" + String.valueOf(this.getSectionVOList()) + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
